wibble::ERegexp Class Reference

`#include <regexp.h>`

Inheritance diagram for wibble::ERegexp:
[legend]
Collaboration diagram for wibble::ERegexp:
[legend]

## Public Member Functions

| ERegexp (const std::string &expr, int match_count=0, int flags=0)
Public Member Functions inherited from wibble::Regexp
| Regexp (const std::string &expr, int match_count=0, int flags=0)
| ~Regexp () throw ()
bool | match (const std::string &str, int flags=0)
std::string | operator[] (int idx)
size_t | matchStart (int idx)
size_t | matchEnd (int idx)
size_t | matchLength (int idx)

## Additional Inherited Members

Protected Attributes inherited from wibble::Regexp
regex_t | re
regmatch_t * | pmatch
int | nmatch
std::string | lastMatch

## Constructor & Destructor Documentation

## ERegexp()

wibble::ERegexp::ERegexp | ( | const std::string & | expr,
|  | int | match_count = `0`,
|  | int | flags = `0`
| ) |  |

inline

The documentation for this class was generated from the following file:

- regexp.h